### Method

# Ggit Repository is_head_unborn

#### Declaration [src]

    gboolean
    ggit_repository_is_head_unborn (
      GgitRepository* repository
      GError** error
    )

#### Description [src]

Checks if `repository`‘s HEAD is an orphan.

An orphan branch is one named from HEAD but doesn’t exist in the refs namespace, because it doesn’t have any commit to point to.

#### Return value

Type: `gboolean`

`TRUE` if the current branch is an orphan.